search templates
curl --request GET \
--url https://console.vast.ai/api/v0/template/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://console.vast.ai/api/v0/template/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://console.vast.ai/api/v0/template/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"templates_found": 5,
"templates": [
{
"id": 123,
"name": "<string>",
"image": "<string>"
}
]
}{
"success": false,
"error": "<string>",
"msg": "<string>"
}{
"success": false,
"error": "<string>",
"msg": "<string>"
}{
"detail": "API requests too frequent endpoint threshold=3.0"
}Search
search templates
Searches for templates based on query parameters and retrieves matching templates.
CLI Usage: vastai search templates
GET
/
api
/
v0
/
template
/
search templates
Authorizations
API key must be provided in the Authorization header
Query Parameters
Search query string to match against template fields.
Filters to apply on the search results.
Column to order the results by.